跳转到主要内容
GET
/
v2
/
token
/
{chain}
/
{tokenAddress}
/
price
代币 - 按时间查价格
curl --request GET \
  --url https://api.chainstream.io/v2/token/{chain}/{tokenAddress}/price \
  --header 'Authorization: Bearer <token>'
{
  "address": "6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN",
  "priceInUsd": "1000",
  "timestamp": 1754055151000,
  "priceInSol": "1000"
}

Documentation Index

Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt

Use this file to discover all available pages before exploring further.

获取代币以 USD 和原生货币计价的当前价格。如需历史价格,请使用 /prices 端点或 GraphQL DEXTrades Cube。
相关: GraphQL DEX 交易 | MCP: token_get_price

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

chain
enum<string>
必填

支持网络列表中的链名称 支持的区块链

可用选项:
sol,
eth,
bsc
tokenAddress
string
必填

代币地址

查询参数

timestamp
integer<int64>
必填

价格时间戳(Unix 秒级时间戳)

响应

200 - application/json

按时间获取价格

代币价格

address
string
必填

代币地址

示例:

"6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN"

priceInUsd
string
必填

USD 计价

示例:

"1000"

timestamp
integer<int64>
必填

时间戳

示例:

1754055151000

priceInSol
string | null

原生代币计价

示例:

"1000"